Description: Make the build reproducible
Author: Chris Lamb <lamby@debian.org>
Forwarded: https://review.openstack.org/600702
Last-Update: 2017-04-15

Index: python-taskflow/taskflow/conductors/backends/impl_executor.py
===================================================================
--- python-taskflow.orig/taskflow/conductors/backends/impl_executor.py
+++ python-taskflow/taskflow/conductors/backends/impl_executor.py
@@ -103,7 +103,9 @@ class ExecutorConductor(base.Conductor,
     def __init__(self, name, jobboard,
                  persistence=None, engine=None,
                  engine_options=None, wait_timeout=None,
-                 log=None, max_simultaneous_jobs=MAX_SIMULTANEOUS_JOBS):
+                 log=None, max_simultaneous_jobs=None):
+        if max_simultaneous_jobs is None:
+            max_simultaneous_jobs = MAX_SIMULTANEOUS_JOBS
         super(ExecutorConductor, self).__init__(
             name, jobboard, persistence=persistence,
             engine=engine, engine_options=engine_options)
